#
# spec file for package python-compat-patcher-core
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-compat-patcher-core
Version:        2.2
Release:        2.2
Summary:        Python patcher system
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pakal/compat-patcher-core
Source:         https://github.com/pakal/compat-patcher-core/archive/refs/tags/release-%{version}.tar.gz#/compat-patch-core-%{version}-gh.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/pakal/compat-patcher-core/pull/3 Get rid of the six dependency
Patch:          no-six.patch
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
BuildRequires:  cookiecutter > 1.6.0
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Suggests:       cookiecutter > 1.6.0
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module pytest-cov}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module tomli}
BuildRequires:  python3-pytest-cookies
# /SECTION
%python_subpackages

%description
Python patcher system to allow easy and lasting API compatibility.

%prep
%autosetup -p1 -n compat-patcher-core-release-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# Cookiecutter is only available as python3
%python_expand [ %{_bindir}/$python -ef %{_bindir}/python3 ] ||  $python_ignore="--ignore tests/test_cookiecutter_recipe.py"
# _and_run_tests: use setup.py test
%pytest tests ${$python_ignore} -k 'not _and_run_tests'

%files %{python_files}
%doc AUTHORS CHANGELOG README.rst
%license LICENSE
%{python_sitelib}/compat_patcher_core
%{python_sitelib}/compat_patcher_core-%{version}.dist-info

%changelog
* Fri Apr 12 2024 Markéta Machová <mmachova@suse.com>
- Add patch no-six.patch to clean-up the unneeded six dependency.
* Wed Nov 29 2023 Dirk Müller <dmueller@suse.com>
- update to 2.2:
  * drop python 3.6 support
  * add Python 3.11
  * Update ReadTheDoc configuration
* Mon Sep 26 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to Version 2.1
  * Debug CI
  * Fix Trove classifiers of package
- Update to Version 2.0
  * Fix encoding and error reporting bugs
  * Extend test coverage to Python3.10
  * Drop support for Python2.7 and Python3.5
* Mon Dec 13 2021 pgajdos@suse.com
- fix tests, do not require pytest-runner
* Sat May 15 2021 Ben Greiner <code@bnavigator.de>
- Fix the logic for testing cookiecutter only on python3 flavor.
  The non-primary python3 flavors can change and be more than one
* Wed Jan 20 2021 John Vandenberg <jayvdb@gmail.com>
- Enable test_cookiecutter_recipe
- Update to v1.2
  * Fix import-proxifier to remove AssertionError on module
    `__name__` when interfering with other custom
    importers (ex. when importing "six.moves.urllib.parse")
- from v1.1
  * Support for Pytest 6
  * Slight logging improvements
* Sat May  9 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0
